Bug 166848 - Application Compatibiliy Whitepaper: Incomplete list for "Core Libs"?
Summary: Application Compatibiliy Whitepaper: Incomplete list for "Core Libs"?
Status: ASSIGNED
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Documentation (Show other bugs)
(Show other bugs)
Version: current
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: dff
QA Contact: Adam Strong
URL: https://www.redhat.com/f/pdf/rhel4/Ap...
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-26 13:36 UTC by Toralf
Modified: 2014-08-04 22:21 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toralf 2005-08-26 13:36:17 UTC
Description of problem:
I'm wondering if the "Core Library" list in the Red Hat Enterprise Linux 4
Application Compatibility - https://www.redhat.com/f/pdf/rhel4/AppCompat.pdf -
is quite complete. At least, it seems strange to me that some of the basic
libraries that the ones in the list are built on, have been left out. For
instance, if my application uses gtk, it must be linked with the following libs:

libgtk-x11
libgdk-x11
libatk
libgdk_pixbuf
libpangoxft
libpangox
libpango
libgobject
libgmodule
libdl
libglib

- Those are the libs I get if I take link options from
  pkg-config gtk+-2.0 --libs

Now, libgtk-x11 isn't even listed as such in the core lib list, but I'm assuming
it's implicitly included when libgtk is mentioned. The same goes for libgdk vs
libgdk_x11. But of the remaining libs, the following are also missing from Core
Libs:

libpangox
libpangoxft
libgobject

So the whitepaper really says that *all* applications using Gtk must bundle
these libs. Surely you don't mean that?

There are also other libs that may need to be reviewed for similar reasons.
These include:

libexpat
libXft
libfreetype
libfontconfig
libXrender
libtiff
libjpg

Also, I know of no lib called libgdk_pixmap, but I'm assuming libgdk_pixbuf is
actually the one you are referring to.

Comment 1 Michael Hideo 2007-06-06 04:46:23 UTC
Adding 'cc ecs-dev-list@redhat.com for tracking

Comment 2 Michael Hideo 2007-10-23 02:47:24 UTC
Removing automation notification


Note You need to log in before you can comment on or make changes to this bug.